## firefox-esr 60.8.0esr

=== debian/changelog ===
firefox-esr (60.8.0esr-1~deb10u1) buster-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-22, also known as:
    CVE-2019-9811, CVE-2019-11711, CVE-2019-11712, CVE-2019-11713,
    CVE-2019-11729, CVE-2019-11715, CVE-2019-11717, CVE-2019-11719,
    CVE-2019-11730, CVE-2019-11709.

 -- Mike Hommey <glandium@debian.org>  Wed, 10 Jul 2019 07:13:23 +0900

firefox-esr (60.7.2esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-19, also known as CVE-2019-11708.

 -- Mike Hommey <glandium@debian.org>  Thu, 20 Jun 2019 10:48:50 -0700

firefox-esr (60.7.1esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-18, also known as CVE-2019-11707.

 -- Mike Hommey <glandium@debian.org>  Tue, 18 Jun 2019 11:15:36 -0700

firefox-esr (60.7.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-14, also known as:
    CVE-2019-9816, CVE-2019-9817, CVE-2019-9819, CVE-2019-9820,
    CVE-2019-11691, CVE-2019-11692, CVE-2019-11693, CVE-2019-7317,
    CVE-2019-9797, CVE-2018-18511, CVE-2019-11698, CVE-2019-5798,
    CVE-2019-9800.

  * debian/rules: Avoid rust build errors with newer versions of rustc by
    capping lints to warnings.

 -- Mike Hommey <glandium@debian.org>  Wed, 22 May 2019 07:23:08 +0900

firefox-esr (60.6.3esr-1) unstable; urgency=medium

  * New upstream release.
    - Additional fixes for addon signature validation.

 -- Mike Hommey <glandium@debian.org>  Thu, 09 May 2019 05:14:54 +0900
