=== debian/control ===
Source: firefox-esr
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <team+pkg-mozilla@tracker.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.20160114),
               autoconf2.13,
               libx11-dev,
               libx11-xcb-dev,
               libxt-dev,
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev,
               python2.7,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libnspr4-dev (>= 2:4.19~),
               libnss3-dev (>= 2:3.36.4~),
               libsqlite3-dev (>= 3.22.0),
               libvpx-dev (>= 1.5.0),
               libhunspell-dev (>= 1.5),
               libdbus-glib-1-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libjsoncpp-dev,
               libpulse-dev,
               libasound2-dev,
               yasm (>= 1.1),
               rustc (>= 1.24),
               cargo (>= 0.25),
               llvm-dev,
               libclang-dev,
               clang,
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               fonts-freefont-ttf,
               fonts-dejima-mincho,
               iso-codes
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.8.0
Vcs-Git: https://salsa.debian.org/mozilla-team/firefox.git -b esr60/master
Vcs-Browser: https://salsa.debian.org/mozilla-team/firefox/commits/esr60/master

Package: firefox-esr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         fontconfig,
         procps,
         debianutils (>= 1.16),
         libsqlite3-0 (>= 3.22.0),
         libnspr4 (>= 2:4.19~),
         libnss3 (>= 2:3.36.4~)
Recommends: libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
Suggests: fonts-stix | otf-stix,
          fonts-lmodern,
          libgssapi-krb5-2 | libkrb53,
          libcanberra0,
          libgtk2.0-0,
          pulseaudio
Breaks: xul-ext-torbutton
Provides: www-browser,
          gnome-www-browser
Description: Mozilla Firefox web browser - Extended Support Release (ESR)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.


Package: firefox-esr-l10n-all
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, firefox-esr-l10n-ach, firefox-esr-l10n-af, firefox-esr-l10n-an, firefox-esr-l10n-ar, firefox-esr-l10n-as, firefox-esr-l10n-ast, firefox-esr-l10n-az, firefox-esr-l10n-be, firefox-esr-l10n-bg, firefox-esr-l10n-bn-bd, firefox-esr-l10n-bn-in, firefox-esr-l10n-br, firefox-esr-l10n-bs, firefox-esr-l10n-ca, firefox-esr-l10n-cak, firefox-esr-l10n-cs, firefox-esr-l10n-cy, firefox-esr-l10n-da, firefox-esr-l10n-de, firefox-esr-l10n-dsb, firefox-esr-l10n-el, firefox-esr-l10n-en-gb, firefox-esr-l10n-en-za, firefox-esr-l10n-eo, firefox-esr-l10n-es-ar, firefox-esr-l10n-es-cl, firefox-esr-l10n-es-es, firefox-esr-l10n-es-mx, firefox-esr-l10n-et, firefox-esr-l10n-eu, firefox-esr-l10n-fa, firefox-esr-l10n-ff, firefox-esr-l10n-fi, firefox-esr-l10n-fr, firefox-esr-l10n-fy-nl, firefox-esr-l10n-ga-ie, firefox-esr-l10n-gd, firefox-esr-l10n-gl, firefox-esr-l10n-gn, firefox-esr-l10n-gu-in, firefox-esr-l10n-he, firefox-esr-l10n-hi-in, firefox-esr-l10n-hr, firefox-esr-l10n-hsb, firefox-esr-l10n-hu, firefox-esr-l10n-hy-am, firefox-esr-l10n-ia, firefox-esr-l10n-id, firefox-esr-l10n-is, firefox-esr-l10n-it, firefox-esr-l10n-ja, firefox-esr-l10n-ka, firefox-esr-l10n-kab, firefox-esr-l10n-kk, firefox-esr-l10n-km, firefox-esr-l10n-kn, firefox-esr-l10n-ko, firefox-esr-l10n-lij, firefox-esr-l10n-lt, firefox-esr-l10n-lv, firefox-esr-l10n-mai, firefox-esr-l10n-mk, firefox-esr-l10n-ml, firefox-esr-l10n-mr, firefox-esr-l10n-ms, firefox-esr-l10n-my, firefox-esr-l10n-nb-no, firefox-esr-l10n-ne-np, firefox-esr-l10n-nl, firefox-esr-l10n-nn-no, firefox-esr-l10n-oc, firefox-esr-l10n-or, firefox-esr-l10n-pa-in, firefox-esr-l10n-pl, firefox-esr-l10n-pt-br, firefox-esr-l10n-pt-pt, firefox-esr-l10n-rm, firefox-esr-l10n-ro, firefox-esr-l10n-ru, firefox-esr-l10n-si, firefox-esr-l10n-sk, firefox-esr-l10n-sl, firefox-esr-l10n-son, firefox-esr-l10n-sq, firefox-esr-l10n-sr, firefox-esr-l10n-sv-se, firefox-esr-l10n-ta, firefox-esr-l10n-te, firefox-esr-l10n-th, firefox-esr-l10n-tr, firefox-esr-l10n-uk, firefox-esr-l10n-ur, firefox-esr-l10n-uz, firefox-esr-l10n-vi, firefox-esr-l10n-xh, firefox-esr-l10n-zh-cn, firefox-esr-l10n-zh-tw
Description: All language packages for Firefox ESR (meta)
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This is a metapackage depending on all available localizations of Firefox ESR.

Package: firefox-esr-l10n-ach
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Acoli language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Acoli.

Package: firefox-esr-l10n-af
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-af
Description: Afrikaans language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Afrikaans.

Package: firefox-esr-l10n-an
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-an
Description: Aragonese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Aragonese.

Package: firefox-esr-l10n-ar
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-ar
Description: Arabic language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Arabic.

Package: firefox-esr-l10n-as
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Assamese language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Assamese.

Package: firefox-esr-l10n-ast
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Asturian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Asturian.

Package: firefox-esr-l10n-az
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Azerbaijani language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Azerbaijani.

Package: firefox-esr-l10n-be
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-be
Description: Belarusian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Belarusian.

Package: firefox-esr-l10n-bg
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bg | myspell-bg
Description: Bulgarian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bulgarian.

Package: firefox-esr-l10n-bn-bd
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bn
Description: Bengali (Bangladesh) language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bengali (Bangladesh).

Package: firefox-esr-l10n-bn-in
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bn
Description: Bengali (India) language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bengali (India).

Package: firefox-esr-l10n-br
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-br
Description: Breton language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Breton.

Package: firefox-esr-l10n-bs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-bs
Description: Bosnian language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Bosnian.

Package: firefox-esr-l10n-ca
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-ca
Description: Catalan language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Catalan.

Package: firefox-esr-l10n-cak
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Description: Kaqchikel language package for Firefox ESR
 Firefox ESR is a powerful, extensible web browser with support for modern
 web application technologies.
 .
 This package contains the localization of Firefox ESR in Kaqchikel.

Package: firefox-esr-l10n-cs
Architecture: all
Section: localization
Depends: ${misc:Depends},
         firefox-esr (>= ${source:Version}), firefox-esr (<< ${source:Version}.1~)
Recommends: hunspell-cs
