## firefox-esr 68.2.0esr

=== debian/changelog ===
firefox-esr (68.2.0esr-1~deb9u2) stretch-security; urgency=medium

  * Don't set the NASM make variable on architectures without nasm, fixes
    FTBFS on !x86.
  * Output icu build log to stdout rather than to a file.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 06 Nov 2019 12:22:11 +0100

firefox-esr (68.2.0esr-1~deb9u1) stretch-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-33, also known as:
    CVE-2019-15903, CVE-2019-11757, CVE-2019-11758, CVE-2019-11759,
    CVE-2019-11760, CVE-2019-11761, CVE-2019-11762, CVE-2019-11763,
    CVE-2019-11764.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 31 Oct 2019 10:22:07 +0100

firefox-esr (68.1.0esr-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-26, also known as
    CVE-2019-11746, CVE-2019-11744, CVE-2019-11742, CVE-2019-11752,
    CVE-2019-9812, CVE-2019-11743, CVE-2019-11748, CVE-2019-11749,
    CVE-2019-11750, CVE-2019-11738, CVE-2019-11747, CVE-2019-11735,
    CVE-2019-11740.

  * debian/upstream.mk: Read source repo and revision from json when
    getting upstream info. Instead of the .txt file that doesn't exist
    as of 69.
  * debian/control*:
    - Remove unused build dependency against python-ply.
    - Remove python-minimal build dependency. All supported versions
      of Debian have a new enough version.
  * debian/l10n/gen, debian/latest_nightly.py, debian/rules,
    debian/symbols.mk, debian/upstream.mk, debian/watch: Use explicit
    python2.7 instead of python.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 Sep 2019 10:22:21 +0900

firefox-esr (68.0.2esr-1) unstable; urgency=medium

  * New upstream ESR release.

 -- Mike Hommey <glandium@debian.org>  Sun, 18 Aug 2019 22:27:52 +0900

firefox (68.0.2-3) unstable; urgency=medium

  * debian/control.in: Take source package name from preprocessing.

  * build/moz.configure/old.configure: Avoid race condition creating
    old-configure. bz#1574761.
  * dom/media/systemservices/CamerasChild.cpp,
    dom/media/systemservices/CamerasParent.cpp,
    dom/media/systemservices/VideoEngine.cpp,
    dom/media/webrtc/MediaEngineRemoteVideoSource.cpp: Don't use
    __PRETTY_FUNCTION__ or __FUNCTION__ as format strings. bz#1531309.
    Closes: #925680.

 -- Mike Hommey <glandium@debian.org>  Sun, 18 Aug 2019 20:47:26 +0900

firefox (68.0.2-2) unstable; urgency=medium

  * debian/rules: Fix MOZ_APP_REMOTINGNAME. Upstream build system changes
    made the config.status editing trick stop working. Export the variable for
    configure to pick it instead. Closes: #932256

 -- Mike Hommey <glandium@debian.org>  Sun, 18 Aug 2019 08:41:43 +0900

firefox (68.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-24, also known as CVE-2019-11733.

  * debian/control*, debian/rules: Don't build against system vpx >= 1.8.0.
    It has API changes that cause FTBFS.

 -- Mike Hommey <glandium@debian.org>  Thu, 15 Aug 2019 08:06:59 +0900

firefox (68.0.1-2) unstable; urgency=medium

  * debian/rules: Work around https://github.com/rust-lang/cargo/issues/7147.

 -- Mike Hommey <glandium@debian.org>  Fri, 19 Jul 2019 10:51:09 +0900

firefox (68.0.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/rules:
    - Hook stamps/dh_install-l10n to override_dh_install-indep rather than
      binary-indep.
    - Pass make job server down through dh_auto_build.
  * debian/rules, debian/dh: Wrap dh to ensure debian/rules is invoked with
    parallelism.

 -- Mike Hommey <glandium@debian.org>  Fri, 19 Jul 2019 07:53:19 +0900

firefox (68.0-3) unstable; urgency=medium

  * debian/browser.README.Debian.in: Fix a reference to iceweasel in
    README.Debian. Thanks Edward Betts.
  * debian/rules:
    - Only exclude "-g" from dpkg-buildflags output. All the other flags
      that used to be excluded either already match upstream or add
      reproducibility.
    - Don't unexpectedly reset LDFLAGS.
    - [firefox-esr] Remove iceweasel transitional packages on bullseye.
    - Disable dh_strip_nondeterminism. Upstream build system already avoids
      non-determinism it would strip, so there is no need for it further
      modifying files.
    - Avoid arch:all builds building arch:any stuff.
    - Move AUTOCONF_DIRS cleanup after dh_clean.
    - Add rust flags to improve reproducibility.
    - Only touch or remove configure when it wasn't there to begin with.
    - Call configure using its full path.
    - Factor common configure arguments.
    - Build langpacks with --disable-compile-environment, and pass less
      configure arguments.
    - Build each langpack from a separate build directory. This means time
      wasted running configure more times, but all locales can now be built
      in parallel.
  * debian/symbols.mk, debian/symbols.apt.conf, debian/symbols.sources.list:
    Miscellaneous changes to symbols download script.
  * debian/make.mk: Exclude symbols.mk variables from dump output.
  * debian/browser.mozconfig.in: Remove redundant --prefix=/usr.
  * debian/control.in, debian/rules, debian/symbols.mk, debian/upstream.mk:
    Remove packaging scripts compatibility with Wheezy.

  * moz.configure: Only add confvars.sh as a dependency to config.status
    when it exists. bz#1560340.

 -- Mike Hommey <glandium@debian.org>  Sun, 14 Jul 2019 15:20:45 +0900

firefox (68.0-2) unstable; urgency=medium

  * debian/rules, debian/upstream.mk: Account for next Debian release.
  * debian/rules, debian/control: Build against system sqlite again.

  * gfx/skia/skia/third_party/skcms/src/Transform_inl.h: Work around GCC ICE
    on mips*, i386 and s390x.  Closes: #931757
  * python/mozbuild/mozbuild/action/langpack_manifest.py: Use build id as
    langpack version for reproducibility. bz#1565504.

 -- Mike Hommey <glandium@debian.org>  Fri, 12 Jul 2019 20:37:51 +0900

firefox (68.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2019-21, also known as:

