=== debian/rules ===
--- 
+++ 
@@ -2,28 +2,32 @@
 TESTDIR = $(shell dh_testdir || echo no)
 ifeq (,$(TESTDIR))
 include debian/make.mk
-# Use dpkg-buildflags to get hardening flags, exclude non-hardening flags,
-# and disable read-only relocations.
-dpkg_buildflags = $(and $(1),$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-relro DEB_CFLAGS_MAINT_STRIP="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all dpkg-buildflags --get $(1))" dpkg-buildflags --get $(1)))
+# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
+# via configure options.
+dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
 $(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
 $(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
 $(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))
 
 $(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
 $(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
+$(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
 $(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
 $(call lazy,DEB_HOST_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN))
 
-PYTHON := python -B
+PYTHON := python2.7 -B
 
 PRODUCT := browser
 include debian/upstream.mk
 
-SYSTEM_LIBS = zlib bz2 ffi
-ifeq (,$(filter wheezy jessie stretch,$(DIST)))
-SYSTEM_LIBS += hunspell nspr nss sqlite libevent
-endif
-ifeq (,$(filter wheezy jessie,$(DIST)))
+SYSTEM_LIBS = zlib ffi
+ifeq (,$(filter jessie stretch buster,$(DIST)))
+SYSTEM_LIBS += nspr nss sqlite
+endif
+ifeq (,$(filter jessie stretch,$(DIST)))
+SYSTEM_LIBS += libevent
+endif
+ifeq (,$(filter jessie stretch bullseye,$(DIST)))
 SYSTEM_LIBS += vpx
 endif
 
@@ -32,11 +36,6 @@
 SYSTEM_LIBS_VARS += $$(if $$(USE_SYSTEM_$(1)),USE_SYSTEM_$(1))
 endef
 $(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))
-
-ifeq ($(DIST),wheezy)
-CC := /usr/lib/gcc-mozilla/bin/gcc
-CXX := /usr/lib/gcc-mozilla/bin/g++
-endif
 
 OFFICIAL_BRANDING := browser/branding/official
 MOZILLA_OFFICIAL := 1
@@ -56,12 +55,17 @@
 endif
 
 ifeq (firefox-esr,$(DEBIAN_SOURCE))
-ifneq (,$(filter wheezy jessie stretch,$(DIST)))
+ifneq (,$(filter jessie stretch buster,$(DIST)))
 TRANSITION = 1
 endif
 endif
 
-BRANDING_CONFIGURE_FLAG = $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))
+COMMON_CONFIGURE_FLAGS += --target=$(DEB_HOST_GNU_TYPE)
+COMMON_CONFIGURE_FLAGS += --host=$(DEB_BUILD_GNU_TYPE)
+COMMON_CONFIGURE_FLAGS += --prefix=/usr
+COMMON_CONFIGURE_FLAGS += --enable-project=$(PRODUCT)
+
+COMMON_CONFIGURE_FLAGS += $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))
 
 # Define PRODUCT, product and Product variables (replacing product with the
 # actual value of $(PRODUCT))
@@ -72,20 +76,40 @@
 Product := $(call uc_first,$(PRODUCT))
 $(Product) := $(DISPLAY_NAME)
 
-MOZ_APP_REMOTINGNAME := $(call uc_first,$($(PRODUCT)))
+export MOZ_APP_REMOTINGNAME := $(call uc_first,$($(PRODUCT)))
 
 LIB_DIR := /usr/lib/$($(PRODUCT))
 SHARE_DIR := /usr/share/$($(PRODUCT))
 
-LDFLAGS := -Wl,--as-needed
-
-# Disable debug symbols when building on mips and mipsel machines,
-# because the rust compiler can't deal with it in the available address
-# space.
-ifeq (,$(filter wheezy jessie stretch,$(DIST)))
-ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
+# Work around https://github.com/rust-lang/cargo/issues/7147
+export CARGO_HOME=$(CURDIR)/debian/.cargo
+
+ifneq (,$(filter jessie stretch,$(DIST)))
+export NODEJS=/usr/lib/nodejs-mozilla/bin/node
+ifneq (,$(filter amd64 i386,$(DEB_HOST_ARCH)))
+export NASM=/usr/lib/nasm-mozilla/bin/nasm
+endif
+endif
+
+ifeq (jessie,$(DIST))
+CC := /usr/lib/gcc-mozilla/bin/gcc
+CXX := /usr/lib/gcc-mozilla/bin/g++
+endif
+
+LDFLAGS += -Wl,--as-needed
+ifneq (jessie,$(DIST))
+# Make the linker generate compressed debug sections. dh_strip would do
+# the same anyways, but it allows elfhack to work in combination with
+# unstripped binaries when they would normally be larger than 2GiB.
+LDFLAGS += -Wl,--compress-debug-sections=zlib
+endif
+
+# Disable debug symbols when building on 32-bits machines, because
+# a) the rust compiler can't deal with it in the available address
+# space, and b) the linker can't deal with it in the available address space
+# either.
+ifneq (64,$(DEB_BUILD_ARCH_BITS))
 	CONFIGURE_FLAGS += --disable-debug-symbols
-endif
 endif
 
 # Reduce memory usage of the linker at the expense of processing time
@@ -96,19 +120,9 @@
 # Also add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
 
-# Work around FTBFS from conflicting __sync_* symbols between libgcc
-# and rust's compiler_builtins
-ifeq (armel,$(DEB_HOST_ARCH))
-LDFLAGS += -Wl,-z,muldefs
-endif
-
 AUTOCONF_DIRS := build/autoconf
 
 CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)
-
-ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
-       CONFIGURE_FLAGS += --disable-ion
-endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CONFIGURE_FLAGS += --disable-optimize
@@ -122,6 +136,9 @@
 endif
 ifneq (,$(filter i386 amd64 armel armhf,$(DEB_HOST_ARCH)))
 	CRASH_REPORTER = 1
+endif
+ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
+	CONFIGURE_FLAGS += --disable-webrtc
 endif
 
 ifeq (default,$(origin CC))
@@ -140,16 +157,19 @@
 endif
 endif
 
+ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
+CONFIGURE_FLAGS += --disable-ion
+endif
+
 CXXFLAGS = $(CFLAGS)
-
-export RUSTFLAGS = --cap-lints warn
+RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.
 
 ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
 ICU_VERSION := $(shell echo U_ICU_VERSION_MAJOR_NUM | cpp -P -include $(CURDIR)/intl/icu/source/common/unicode/uvernum.h)
 ICU_DATA_FILE = icudt$(ICU_VERSION)b.dat
 endif
 
-EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL ICU_DATA_FILE
+EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL ICU_DATA_FILE RUSTFLAGS
 $(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))
 
 IN_FILES := $(wildcard debian/*.in)
@@ -188,21 +208,3 @@
 	(grep -v searchplugins/locale $<; grep searchplugins/locale/en-US $<) | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel"}' > $@
 
 debian/iceweasel-l10n-%.maintscript: debian/removed_conffiles
-	grep -i searchplugins/locale/$* $< | awk '{print "rm_conffile /etc/iceweasel/" $$0, "45.0esr-2~", "iceweasel-l10n-$*"}' > $@
-endif
-
-override_dh_auto_configure:
-
-stamps/prepare-configure:: stamps/dummy
-	for dir in $(AUTOCONF_DIRS); do \
-		for file in config.guess config.sub; do \
-			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
-		done; \
-	done
-	cp -f configure.in configure && chmod +x configure
-	cp -f js/src/configure.in js/src/configure && chmod +x js/src/configure
-
-stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
-# Ensure --{with,enable}-system options properly set expected variables
-# according to the definitions in the mozconfig file.
-	@awk -F' *# *| *$$' ' \
